Bug 16770 - [AAPI]: no accessible for html:body
Summary: [AAPI]: no accessible for html:body
Status: NEW
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML a11y APIs (editor: Steve Faulkner, Cynthia Shelly) (show other bugs)
Version: unspecified
Hardware: PC All
: P2 normal
Target Milestone: ---
Assignee: steve faulkner
QA Contact: HTML a11y API spec bugbot
URL:
Whiteboard:
Keywords: a11y
Depends on:
Blocks:
 
Reported: 2012-04-18 08:49 UTC by alexander surkov
Modified: 2013-08-20 15:44 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description alexander surkov 2012-04-18 08:49:01 UTC
basically in Firefox the DOM document has document accessible and thus body is not mapped as document accessible to a11y APIs. However All ARIA stuffs used on html:body are applied to document accessible.
Comment 1 steve faulkner 2012-06-12 06:44:30 UTC
(In reply to comment #0)
> basically in Firefox the DOM document has document accessible and thus body is
> not mapped as document accessible to a11y APIs. However All ARIA stuffs used on
> html:body are applied to document accessible.

Hi Alex, so you are saying that firefox does not map the body element to anything, should this be a suggested non mapping for all IA2 implementations?
Comment 2 alexander surkov 2012-09-04 15:34:11 UTC
In Firefox we do that for any implementation: MSAA/IA2, ATK or OS X API. All attributes specified on HTML body are considered as they were specified for document itself.

Alternatively you can say that DOM document and body elements have one shared accessible object. I just used to think that the accessible is created for DOM document rather than for body element. Thus maybe it's more correct to say that html:body accessible is shared with DOM document accessible.
Comment 3 alexander surkov 2013-08-20 15:44:42 UTC
So I fixed IA2 and ATK HTML:body (and HTML:frameset) mapping to

no accessible, all DOM attributes are processed as they were specified on its document accessible. One thing is not addressed is the spec doesn't have description for the document accessible. DOM document is not a DOM element so elements section is probably not good to keep it. Ideas?